// Scorm

var dadosSuspensos;
var score;
var lessonStatus;	
var posicao=1;
var posicaoVideo = new Array();

var finalizado = false;

function inicializa() {	
	doLMSInitialize();
	startTimer();		
	dadosSuspensos = doLMSGetValue( "cmi.suspend_data" );
	score = doLMSGetValue( "cmi.core.score.raw" );		
	lessonStatus = doLMSGetValue("cmi.core.lesson_status");

	//dadosSuspensos = "posicao=2&atvRec1=1&atvRec2=2,1&atvRec3=3&atvRec4=1&atvRec5=1,3,2&atvRec6=1,2,3&atvRec7=1,3&";
	//dadosSuspensos = 'posicao=2&inputText1=Qualquer valor';
	//console.log(dadosSuspensos);
	
	var pos = variavelSuspensa("posicao");			
	if(pos!=undefined && pos!="undefined"){
		posicao = pos;
	}	
	slider.slide(posicao-1);
				
	var atv = [];
	for(var i=0; i<contAtv; i++){
		var valor = variavelSuspensa("atv"+(i+1));
		if(valor!=undefined){					
			if(valor.indexOf(',')==-1){
				atv[i] = valor;
			}else{
				atv[i] = valor.split(',');
			}
		}		
		if(atv[i]!='' && atv[i]!=undefined){
			for(var j=0; j<atv[i].length; j++){				
				$('#atv'+(i+1)+' #alt'+(i+1)+atv[i][j]).attr('checked', true);
			}
			checaAtv(i);
			salvarAtv(i, false);
		}	
	}

	
	for(var i=0; i<contRec; i++){
		var valor = variavelSuspensa("atvRec"+(i+1));
		if(valor!=undefined){			
			var valorArray = valor.split(',');			
			for(var j=0; j<valorArray.length; j++){				
				if(valorArray[j]==gabaritosRec[i]){					
					desativaRec(i+1);
					insereMeleca((i+1), valorArray[j]);				
				}
				if(jQuery.inArray(gabaritosRec[i], valorArray)==-1 && j==(valorArray.length-1)){					
					$('#atvRec'+(i+1)+'bt'+valorArray[j]).click();
					console.log('clico');				
				}
				marcaAlt((i+1), valorArray[j]);
				insereResposta((i+1), valorArray[j]);								
			}
		}
	}

	
	for(var i=0; i<contInput; i++){
		var valor = variavelSuspensa("inputText"+(i+1));
		console.log(valor);		
		if(valor!=undefined){
			$('textarea[name="inputText'+(i+1)+'"]').val(valor);
			salvaInput(i+1);
		}
	}	
	
	if(lessonStatus != "completed"){
		doLMSSetValue("cmi.core.lesson_status","incomplete");
	};
}

function marcaFim(){	
	finalizado=true;
	if(leScorm=='true'){
		doLMSSetValue("cmi.core.lesson_status","completed");
		doLMSCommit();
	}
}

function finaliza(){
	if(leScorm=='true'){
		var queryDados = serializeJSON(suspendObject);		
		//console.log('dados: '+queryDados)
		doLMSSetValue("cmi.suspend_data",queryDados);
		if(!finalizado){							
			if(gravaNota==true || gravaNota=='true'){
				doLMSSetValue( "cmi.core.score.raw", nota);
			}				
			
			lessonStatus = doLMSGetValue("cmi.core.lesson_status");
			if(lessonStatus != "completed"){
				doLMSSetValue("cmi.core.lesson_status","incomplete");
			};			
			finalizado = true;
		}
		computeTime();
		doLMSCommit();
		doLMSFinish();
	}
}

function serializeJSON(obj) {
	var dados = '';
	$.each(obj, function(k, v) {    
	    dados += k+'='+v+'&';
	});
	return dados;
}

function variavelSuspensa(variable) {
	var query = dadosSuspensos;			
	var vars = query.split("&");
	
	for (var i=0;i<vars.length;i++) {
		var pair = vars[i].split("=");
		if (pair[0] == variable) {
			return pair[1];
		}
	}
}